# $Revision: 1.19 $, $Date: 2007/01/10 17:41:49 $
Summary:	Flash animations redering library
Summary(pl):	Biblioteka renderujca animacje Flash
Name:		gplflash
Version:	0.4.13
Release:	7
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/gplflash/%{name}-%{version}.tar.bz2
# Source0-md5:	1b14c21094eb07416842ac0f5298b3f1
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		%{name}-link.patch
URL:		http://gplflash.sourceforge.net/
BuildRequires:	XFree86-devel
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libjpeg-devel
BuildRequires:	libmad-devel >= 0.14.2b
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.357
BuildRequires:	zlib-devel >= 1.1.4
BuildConflicts:	flash
Obsoletes:	flash
Obsoletes:	gplflash2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
GPLFLash is based on Olivier Debons original work, which hasn't had a
release since June 2000. This project hope to bring GPLFlash back as a
free, portable and useable alternative to the Flash-decoder released
by Macromedia. The project contains a decoding library, a player and
(perhaps most importantly) a Mozilla/Netscape plugin.

%description -l pl
GPLFlash to biblioteka oparta na pocztkowej pracy Olivera Debonsa,
ktra nie bya wydawana od czerwca 2000. Autorzy maj nadziej, e ten
projekt wskrzesi GPLFlash jako wolnodostpn, przenon i uywaln
alternatyw dla dekodera Flasha wydawanego przez Macromedi. Projekt
zawiera bibliotek dekodujc, odtwarza i (prawdopodobnie
najwaniejsz) wtyczk Mozilli/Netscape'a.

%package devel
Summary:	Header file required to build programs using gplflash library
Summary(pl):	Pliki nagwkowe wymagane przez programy uywajce gplflash
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	flash-devel
Obsoletes:	gplflash2-devel

%description devel
Header files required to build programs using gplflash library.

%description devel -l pl
Pliki nagwkowe niezbdne do kompilacji programw korzystajcych z
biblioteki gplflash.

%package static
Summary:	Static gplflash library
Summary(pl):	Statyczna biblioteka gplflash
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Obsoletes:	flash-static
Obsoletes:	gplflash2-static

%description static
Static gplflash library.

%description static -l pl
Statyczna biblioteka gplflash.

%package -n browser-plugin-%{name}
Summary:	Browser plugin for Flash rendering
Summary(pl):	Wtyczka przegldarki wywietlajca animacje Flash
Group:		X11/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	browser-plugins(%{_target_base_arch})
Requires:	browser-plugins >= 2.0
# Provides for migrate purposes (greedy poldek upgrade)
Provides:	mozilla-plugin-gplflash
Obsoletes:	browser-plugin-gplflash2
Obsoletes:	mozilla-plugin-flash
Obsoletes:	mozilla-plugin-gplflash
Obsoletes:	mozilla-plugin-gplflash2

%description -n browser-plugin-%{name}
Browser plugin for rendering of Flash animations based on gplflash
library.

%description -n browser-plugin-%{name} -l pl
Wtyczka przegldarki wywietlajca animacje Flash oparta na bibliotece
gplflash.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--with-plugin-dir=%{_browserpluginsdir} \
	--enable-shared \
	--enable-static
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# include in -devel and -static instead?
rm -f $RPM_BUILD_ROOT%{_libdir}/browser-plugins/libnpflash.{l,}a

install -d $RPM_BUILD_ROOT{%{_desktopdir},%{_pixmapsdir}}
install %{SOURCE1} $RPM_BUILD_ROOT%{_desktopdir}/swfplayer.desktop
install %{SOURCE2} $RPM_BUILD_ROOT%{_pixmapsdir}/swfplayer.png

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%post -n browser-plugin-%{name}
%update_browser_plugins

%postun -n browser-plugin-%{name}
if [ "$1" = 0 ]; then
	%update_browser_plugins
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS README TODO
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%files -n browser-plugin-%{name}
%defattr(644,root,root,755)
%attr(755,root,root) %{_browserpluginsdir}/libnpflash.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gplflash.spec,v $
Revision 1.19  2007/01/10 17:41:49  glen
- browser plugins v2; rel 7

Revision 1.18  2006/12/10 12:14:03  glen
- rel 6

Revision 1.17  2006/12/10 09:30:14  qboosh
- gplflash2 is dead, obsolete it here

Revision 1.16  2006/11/07 22:26:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.15  2006/10/30 18:03:39  shadzik
- support mozilla-firefox-bin; rel++

Revision 1.14  2006/05/04 21:19:26  glen
- browser-plugins(%{_target_base_arch}), rel 4

Revision 1.13  2006/04/19 19:28:35  adamg
- triggers for seamonkey

Revision 1.12  2006/04/13 06:22:14  hawk
- release 3

Revision 1.11  2005/09/06 20:07:08  glen
- better migration

Revision 1.10  2005/08/23 18:10:13  glen
- require correct arch of browser-plugins

Revision 1.9  2005/08/23 17:02:05  glen
- typos fixed

Revision 1.8  2005/08/17 21:05:16  qboosh
- pl update

Revision 1.7  2005/08/15 19:37:20  glen
- add .desktop entry

Revision 1.6  2005/08/11 22:39:06  glen
- merged from DEVEL: one package for all browsers using triggers

Revision 1.5.2.1  2005/06/24 09:03:39  glen
- use the triggers for browser plugins

Revision 1.5  2005/02/10 19:32:05  qboosh
- added link patch (fixes plugin linking); release 2

Revision 1.4  2005/02/05 15:59:31  qboosh
- Obsoletes for old flash packages

Revision 1.3  2005/02/05 12:30:31  qboosh
- unified, pl desc for base

Revision 1.2  2005/02/05 11:15:15  darekr
- sorted BRs

Revision 1.1  2005/02/04 21:12:54  arekm
- initial pld release
